Bug 314311 - which mixer is right?
which mixer is right?
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F9Target
  Show dependency treegraph
Reported: 2007-10-01 13:56 EDT by Jeremy Katz
Modified: 2008-12-21 14:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-21 14:05:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-10-01 13:56:49 EDT
With the introduction of pulseaudio, we now have even more mixers to add to the
confusing question of "which is the right mixer for the default volume to

I'm not sure if the PA mixer is more "right" than the ALSA mixer, but it makes
some sense as it will let you globally control the volume for all devices rather
than just one on a system with multiple devices.
Comment 1 Matthias Clasen 2007-10-09 09:59:23 EDT
Cleaning up the volume control mess is probably an F9 target at this point.
Comment 2 Rui Matos 2007-11-01 12:56:11 EDT
(In reply to comment #1)
> Cleaning up the volume control mess is probably an F9 target at this point.

Ok, that's fair. BUT, can't the mixer-applet default to control the PulseAudio
'Master' item instead of the ALSA one? Even alsamixer seems to have been taught
that so, a much more user visible UI like the mixer surely should default to
control PulseAudio, no?
Comment 3 Rui Matos 2007-11-01 13:11:59 EDT
Found another problem with this.

Watching videos on youtube (thus using the adobe flash plugin) if I decrease the
sound with the applet (which by default controls the "HDA Intel Alsa Master"
track) it goes down but then gradually it goes up again as if something is
"fighting" my action on the applet. But the actual value (say 50%) on the applet
remains the same. The sound just increases without giving the user any clue as
to why. Is pulseaudio trying to outsmart me here?

This just highlights that the applet should default to control the pulseaudio
track because on the same use case from above if I decrease the sound with
alsamixer (which actually just shows the pulseaudio master track) then it works
Comment 4 Rui Matos 2007-11-01 13:48:09 EDT
Actually my previous comment applies to every sound and not only to flash.
Comment 5 Zoltan Hoppar 2007-11-15 19:54:51 EST
I have the same problem for default FC8 puts in the mic's mixer, and not the
master volume control - and always switching back to - playback: PA - is not so
nice, even not so easy. Another problem is if I download to my notebook (FuSi
Amillo Pro 3405 - it has HDA/ALC861) the latest STABLE skype to FC8, it seems to
be working correcly, and very clearly, but only sounds in LEFT side, and can't
adjust. I have tried also with in my desktop machine witch has nvidia chip, but
there is No sound. 
Comment 6 Bug Zapper 2008-04-04 09:58:05 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-11-26 02:53:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Matěj Cepl 2008-11-28 12:13:11 EST
I don't want to take sides in this esteemed discussion, just let me note that this is not NEW by any meaning of the word.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 9 Bastien Nocera 2008-12-21 14:05:16 EST
gnome-volume-control was rewritten in rawhide, and this bug should be fixed there.

Note You need to log in before you can comment on or make changes to this bug.